: Class HashtableRecycler

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## calypso.util
Class HashtableRecycler

    java.lang.Object
      |
      +--calypso.util.HashtableRecycler

public final class HashtableRecycler
extends java.lang.Object

Static recycler class for java.util.Hashtable

Constructor Summary
`HashtableRecycler()`

Method Summary
`static java.util.Hashtable` | `Alloc()` Get one
`static java.util.Hashtable` | `Alloc(int aCapacity)` Get one with an initial size since the growth mechanism is private (for now) a recycled table won't really grow to capacity
`static void` | `EmptyRecycler()` Empty the recycler, it's earth day
`static void` | `Recycle(java.util.Hashtable aTable)` Recycle a hashtable (it will be cleared by the recycler)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HashtableRecycler

    public HashtableRecycler()

Method Detail

### Alloc

    public static java.util.Hashtable Alloc()

  Get one
  Returns:
  Throws:
    -

### Alloc

    public static java.util.Hashtable Alloc(int aCapacity)

  Get one with an initial size since the growth mechanism is private (for now) a recycled table won't really grow to capacity
  Parameters:
    `aCapacity` - desired initial capacity
  Returns:
  Throws:
    -

### Recycle

    public static void Recycle(java.util.Hashtable aTable)

  Recycle a hashtable (it will be cleared by the recycler)
  Parameters:
    `aTable` - table to be recycled
  Returns:
  Throws:
    -

### EmptyRecycler

    public static void EmptyRecycler()

  Empty the recycler, it's earth day
  Parameters:
    `` -
  Returns:
  Throws:
    -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD